Cloning hostgroup containing (a/any) parameter fails

07/27/2015 06:06 AM - Daniel Schutterop

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Host groups   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Cloning a hostgroup fails when it contains at least one parameter

Environment:

- CentOS 7

- Foreman 1.8.2

- postgresql 9.2.13   

- Fresh install of Foreman

- Freshly created hostgroup named Default

- Clone hostgroup to Test1 (no parameters added) renders success

- Add a parameter (parameter_test=>Testvalue) and save renders success

- Clone the hostgroup to Test1 redirects to https://&lt;foremanhost&gt;/hostgroups without actually cloning the hostgroup.

Excerpt from production.log:

Started POST "/hostgroups" for aa.bb.cc.dd at 2015-07-27 12:01:33 +0200

2015-07-27 12:01:33 [I] Processing by HostgroupsController#create as HTML

2015-07-27 12:01:33 [I]   Parameters: {"utf8"=>"✓",

"authenticity_token"=>"wInPQcIAaP8AbUQHoTCWhCF1RvA+xtQI4Q1FMZZM3RY=", "hostgroup"=>{"parent_id"=>"",

"name"=>"Test1", "environment_id"=>"2", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1", "puppetclass_ids"=>[""],

"domain_id"=>"", "realm_id"=>"", "architecture_id"=>"", "root_pass"=>"[FILTERED]",

"group_parameters_attributes"=>{"0"=>{"name"=>"parameter_test", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]",

"_destroy"=>"false", "nested"=>"", "id"=>"41"}}, "id"=>""}, "commit"=>"Submit"}

2015-07-27 12:01:33 [I]   Rendered common/404.html.erb within layouts/application (0.9ms)

2015-07-27 12:01:33 [I]   Rendered layouts/base.html.erb (1.7ms)

2015-07-27 12:01:33 [I] Completed 404 Not Found in 15ms (Views: 4.5ms | ActiveRecord: 1.2ms)

Related issues:

Is duplicate of Foreman - Bug #9815: HostGroup Clone doesn't work if the host... Closed 03/18/2015

History

#1 - 07/27/2015 06:12 AM - Dominic Cleal

- Is duplicate of Bug #9815: HostGroup Clone doesn't work if the hostgroup has parameters added

#2 - 07/27/2015 06:12 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report - we're tracking this with a possible fix under ticket #9815.
